Results 1 to 6 of 6
  1. #1


    Member Since
    Apr 26, 2009
    Posts
    2
    Call of Duty 4 1.7 patch problem
    I've been trying to install the 1.7 update for Call of Duty 4 so's I can play cross platform (as well as enjoy the other benefits). Downloaded the patch (the one for the retail game, which is what I have), but every time I try to install it it says it can't install, because the game was not installed properly. I've tried reinstalling the game (you just drag the folder to your hard disk), and that hasn't helped. I don't know what to do. Can anyone please speak to this problem? Thanks!

    PS- single player runs fine.

    Am running 15" MBP 2.66ghz, OSX 10.5.6, 4gb ram

  2. #2


    Member Since
    Feb 25, 2009
    Posts
    2,112
    Specs:
    Late 2013 rMBP, i7, 750m gpu, OSX versions 10.9.3, 10.10
    Where did you get you 1.7 patch from? Aspyre or from Apples website?
    My Macs: Late 2013 rMBP w/ 750m, 16Gig ram; 2013 Mac Pro 6 core w/ D700, 16Gig Ram; Mac mini G4, 1.25 GHz, 512m ram (server); Late 2011 11" MBA, 1.8GHz i7, 4Gig Ram, 256Gig SSD, HD3000; Powerbook 12" G4 1.33GHz running Linux; Apple TV (1080p version)

  3. #3


    Member Since
    Feb 25, 2009
    Posts
    2,112
    Specs:
    Late 2013 rMBP, i7, 750m gpu, OSX versions 10.9.3, 10.10
    Ok, I applied the patch this evening, and it worked fine.

    There are two different versions of the patch, and you need to get the one thats appropriate for the version you have...

    CoD4_E_DR_1.7.1.dmg is for the DOWNLOAD version of the game, this will FAIL if you try to use it to patch the DVD Media version of the game with an error like what you saw, stating that it could not find the install. There is a caveat below if you have the other version, as it will supply the same type of error if you have the download version of the game rather then the retail DVD. This patch is the one you would most likely get from Apple, or possibly macupdate.

    CoD4_E_SR_1.7.1.dmg is the version of the patch for the DVD media retail version of the game. This patch is obtained from aspyre itself. This patch will only work correctly for the version of the game installed from DVD media, and is for the english version of the game. This patch will FAIL on the download version of the game giving an error similar to what you mentioned not finding the product installed. Once again, this patch is the version you would download from Aspyre. It might be available elsewhere, but this is where I got my copy.

    Hope this helps.
    My Macs: Late 2013 rMBP w/ 750m, 16Gig ram; 2013 Mac Pro 6 core w/ D700, 16Gig Ram; Mac mini G4, 1.25 GHz, 512m ram (server); Late 2011 11" MBA, 1.8GHz i7, 4Gig Ram, 256Gig SSD, HD3000; Powerbook 12" G4 1.33GHz running Linux; Apple TV (1080p version)

  4. #4

    scottmcp432's Avatar
    Member Since
    Nov 15, 2010
    Location
    Midland Texas
    Posts
    113
    Specs:
    mid '09 13" MBP 2.53 C2D, 8Gb RAM, 250 Gb HD, SL and Win7
    Same issue here.
    I am having the exact same issue as you and it is frustrating as uh....heck too.Single player works fine.Multiplayer is installed and runs but every map is a ghost town.3 re-installs have yielded the same result each time.No multiplayer is a fun killer ain't it?

  5. #5


    Member Since
    Dec 28, 2015
    Posts
    1
    Same problem but worse
    I had the Exact same problem that you had but when i used the DR one it said the game wasn't installed properly but when i used the SR one it said "This package you are trying to install is not compatible with this version of mac OS X"
    If anyone can help i would thank you guys so much Thanks for responding :D :P

  6. #6

    harryb2448's Avatar
    Member Since
    Nov 28, 2007
    Location
    Nambucca Heads Australia
    Posts
    22,391
    Specs:
    Imac 27", 3.3GHz, 512 flash storage, 16GB memory, macOS Sierra.
    Maybe the OS is simply too old. OS X.5 is now six OS old and it is very, very difficult to get anything for older PowerPC applications. Write to the developer.
    Hang on to those original install discs like grim death! Using OS X.7 or later make a bootable USB thumb drive before running Installer!

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. Call of Duty 4 Patch Problem
    By tuffy100 in forum OS X - Apps and Games
    Replies: 1
    Last Post: 03-02-2010, 02:32 AM
  2. call of duty 4 problem.
    By kaytabayta in forum OS X - Apps and Games
    Replies: 0
    Last Post: 12-05-2008, 12:40 AM
  3. Call of Duty 2 Problem
    By noformation@gma in forum OS X - Apps and Games
    Replies: 5
    Last Post: 07-10-2008, 03:43 PM
  4. Call of Duty 2 problem
    By Geppert in forum OS X - Apps and Games
    Replies: 0
    Last Post: 10-24-2007, 11:41 PM
  5. Call of Duty VS. Call of Duty United Offensive
    By thendis in forum OS X - Apps and Games
    Replies: 0
    Last Post: 09-16-2005, 07:33 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •